{
    num: 459,
    accuracy: 100,
    basePower: 150,
    category: "Special",
    name: "Roar of Time",
    pp: 5,
    priority: 0,
    flags: { metronome: 1, futuremove: 1 },
    onTry(source, target) {
        if (!target.side.addSlotCondition(target, "futuremove"))
            return false;
        Object.assign(target.side.slotConditions[target.position]["futuremove"], {
            move: "roaroftime",
            source,
            moveData: {
                id: "roaroftime",
                name: "Roar of Time",
                accuracy: 100,
                basePower: 150,
                category: "Special",
                priority: 0,
                flags: { metronome: 1, futuremove: 1 },
                effectType: "Move",
                type: "Dragon"
            }
        });
        this.add("-start", source, "Roar of Time");
        return this.NOT_FAIL;
    },
    secondary: null,
    target: "normal",
    type: "Dragon",
    contestType: "Beautiful"
}
